Bug 448762 - FEAT: Update ieee80211 component and associated drivers
FEAT: Update ieee80211 component and associated drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity low
: rc
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-05-28 13:27 EDT by John W. Linville
Modified: 2009-01-20 15:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25. * the bcm43xx driver for Broadcom Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25. * the ieee80211 support component for wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25. * the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:15:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2008-05-28 13:27:09 EDT
Update the ieee80211 component and the related drivers (ipw2100, ipw2200,
bcm43xx, zd1211rw) in order to pick-up accumulated bug fixes from upstream.
Comment 1 John W. Linville 2008-05-28 13:29:19 EDT
Test kernels with these updates are available here:

   http://people.redhat.com/linville/kernels/rhel5/

Any interested parties should try those kernels and report the results
here...thanks!
Comment 3 John W. Linville 2008-08-13 11:27:05 EDT
Updated test kernels available at the link in comment 1...
Comment 5 Don Zickus 2008-09-02 23:39:57 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Ryan Lerch 2008-10-29 23:30:53 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been updated to version 2.6.25

* the bcm43xx driver for Broadcom Wireless devices has been updated to version 2.6.25
Comment 10 John W. Linville 2008-10-30 13:55:12 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1,7 @@
-* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been updated to version 2.6.25
+* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been updated to match the version in Linux 2.6.25
 
-* the bcm43xx driver for Broadcom Wireless devices has been updated to version 2.6.25+* the bcm43xx driver for Broadcom Wireless devices has been updated to match the version in Linux 2.6.25
+
+* the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25
+
+* the ieee80211 support component for wireless devices has been updateed to math the version in Linux 2.6.25
Comment 11 Ryan Lerch 2008-11-02 23:10:02 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,7 +1,7 @@
-* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been updated to match the version in Linux 2.6.25
+* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.
 
-* the bcm43xx driver for Broadcom Wireless devices has been updated to match the version in Linux 2.6.25
+* the bcm43xx driver for Broadcom Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.
 
-* the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25
+* the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25.
 
-* the ieee80211 support component for wireless devices has been updateed to math the version in Linux 2.6.25+* the ieee80211 support component for wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.
Comment 12 Ryan Lerch 2008-11-02 23:55:00 EST
just a quick question about the release note on the zd1211rw driver: what does "just prior" mean? does it mean kernel 2.6.24? or kernel 2.6.24.1?
according to the changelogs at kernel.org, the last change that before 2.6.25 that mentions the zd1211rw driver is 2.6.24 :

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.24
Comment 13 Ryan Lerch 2008-11-02 23:55:00 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,7 +1,7 @@
-* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.
+* the ipw2100 and ipw2200 drivers for Intel(R) PRO Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25.
 
-* the bcm43xx driver for Broadcom Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.
+* the bcm43xx driver for Broadcom Wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25.
 
-* the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25.
+* the ieee80211 support component for wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.25.
 
-* the ieee80211 support component for wireless devices has been backported to Red Hat Enterprise Linux 5.3 from the Linux Kernel version 2.6.25.+* the zd1211rw driver for ZyDas Wireless devices has been updated to match the last non-mac80211 version from just prior to Linux 2.6.25.
Comment 16 John W. Linville 2008-12-02 11:00:57 EST
'git log v2.6.24..v2.6.25 drivers/net/wireless/zd1211rw' show that this is the last patch before zd1211rw was ported to mac80211, and that it comes after 2.6.24 was released.

commit f59d9782751bf1a2c51e7e1e9f614ffec35fb52e
Author: Roel Kluin <12o3l@tiscali.nl>
Date:   Fri Oct 26 21:51:26 2007 +0200

    wireless: fix '!x & y' typo's

    Fix priority mistakes similar to '!x & y'

    Signed-off-by: Roel Kluin <12o3l@tiscali.nl>
    Signed-off-by: John W. Linville <linville@tuxdriver.com>

The above patch is included in RHEL5.3.  Subsequent patches are not.  "Just prior" means "after 2.6.24 but before 2.6.25".
Comment 18 errata-xmlrpc 2009-01-20 15:15:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.